import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions } from './types';
export declare function Funnel(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    tooltip: any;
    series: {
        name: string;
        type: string;
        minSize: string;
        maxSize: string;
        data: {
            value: any;
            name: string;
        }[];
    }[];
};
